Package Details: gcc-gcj-ecj 4.9-4

Git Clone URL: https://aur.archlinux.org/gcc-gcj-ecj.git (read-only)
Package Base: gcc-gcj-ecj
Description: A fork of the Eclipse Java bytecode compiler for GCJ
Upstream URL: http://gcc.gnu.org/java/
Licenses: EPL
Conflicts: eclipse-ecj
Provides: eclipse-ecj
Submitter: delroth
Maintainer: valandil
Last Packager: valandil
Votes: 254
Popularity: 1.832342
First Submitted: 2010-04-10 14:31
Last Updated: 2017-08-02 17:41

Dependencies (1)

Required by (6)

Sources (2)

Latest Comments

notuxius commented on 2017-07-28 07:35

Circle dependencies in yaourt - gcc-gcj-ecj and gcc63-gcj

bidulock commented on 2017-07-01 21:31

flex is part of base-devel which must be installed to build any AUR package.

MaoCPU commented on 2017-07-01 14:08

core/flex is required to build this package. The following additional line in PKGBUILD works for me:

makedepends=('flex')

McNoggins commented on 2017-06-28 17:00

valandil is 100% right. Either use the binary version of pdftk or add pdftk (and dependencies) to the IgnorePkg line in your /etc/pacman.conf . pdftk in itself (meaning the source code) doesn't get updated very often.

valandil commented on 2017-06-28 16:53

Are you not using pdftk-bin?

Also, this doesn't take long to compile, nor pdftk. gcc63 does.

Also, /etc/pacman.conf has a nice feature called IgnorePkg which will let you skip updating these packages automatically if you are tired of pressing "n" when using pacaur. Update it manually when it stops working.

Cheers,

vstuart commented on 2017-06-28 16:48

UPDATE: OK, I resolved this to my satisfaction, as follows (original comment, further below).

[victoria@victoria ~]$ pacaur -Ss pdftk | grep -i installed
aur/pdftk-bin 2.02_4_b2-3 (250, 4.97) [installed]

After a few rounds of

sudo pacman -Sc ## remove all cached, non-installed packages

sudo pacman -Qdt ## list all packages no longer required as dependencies (orphans)

sudo pacman -R $(pacman -Qdtq) ## ... and delete them (equivalent to Ubuntu's 'apt-get autoremove')

... all appears to be well.

Among the "old" packages removed were

gcc-objc
gcc-go
gcc-gcj-ecj
gcc-ada

... which was very likely causing my problem.

After clearing those old packages from my cache, I was again able to update my computer, within seconds. :-D

Again, I am very appreciative of the efforts in maintaining these packages, given the headaches endured from users like me! ;-) Best, V. :-)

--------------------------------
[Earlier:]

This morning gcc-gcj-ecj appeared in my AUR updates (pacaur) and is AGAIN (see my comments in https://aur.archlinux.org/packages/pdftk/#comment-602180) causing a TORTUOUS, very extended update (package build)! ...

[I eventually, manually killed the update process via Ctrl-C interrupt.]

I really do appreciate the efforts, and I love (!) pdftk, but now I am waiting for this package to update (all 8 CPU cores @~40-50%!), before I can get back to (CPU-intensive) work.

valandil commented on 2017-06-04 23:41

Ok, but what does that accomplish? Do other packages depend on the existence of these symlinks?

haawda commented on 2017-06-04 21:15

Maybe this package should provide some symlinks like eclipse-ecj does.

package() {
install -D -m644 $srcdir/ecj-${pkgver}.jar $pkgdir/usr/share/java/eclipse-ecj-${pkgver}.jar
install -D -m755 $srcdir/ecj1 $pkgdir/usr/bin/ecj1
cd $pkgdir/usr/share/java/
ln -s eclipse-ecj-${pkgver}.jar "${pkgdir}/usr/share/java/ecj.jar"
ln -s eclipse-ecj-${pkgver}.jar "${pkgdir}/usr/share/java/eclipse-ecj.jar"
}

valandil commented on 2016-09-27 13:13

Thanks, I updated the pkg.

mikeroll commented on 2016-09-26 19:06

makepkg tries to extract the jar, which leads to a fatal error:
-> Extracting ecj-4.9.jar with bsdtar
META-INF/: Can't replace existing directory with non-directory
org/: Can't replace existing directory with non-directory
...

The fix is:
noextract=("ecj-${pkgver}.jar")

valandil commented on 2014-06-02 23:10

Updated to the latest sources and verified that pdftk still builds with it.

haawda commented on 2013-09-12 17:51

By request, this package is excluded from gcc-gcj again.

larsrh commented on 2013-06-16 13:43

This package is now included in gcc-gcj.

larsrh commented on 2012-02-02 20:33

Updated to include `ecj1` wrapper script. See <http://gcc.gnu.org/ml/java/2009-04/msg00026.html> for details.

(This change became necessary in order to build pdftk after a package upgrade to gcc-gcj 4.6.2-2.)

Anonymous comment on 2011-09-30 01:53

Source:
ftp://sources.redhat.com/pub/java/ecj-4.5.jar

delroth commented on 2011-09-30 00:43

I'm not using this package anymore and don't have time to maintain it right now, orphaning it.

Anonymous comment on 2011-09-30 00:24

The link for the sources (http://mirrors.kernel.org/sources.redhat.com/java/ecj-4.5.jar) appears broken and may need to be updated.

delroth commented on 2010-04-10 16:08

It is not. This version includes patches from the GCJ team and can be used as the GCJ frontend, while the eclipse-ecj package does not include these changes.

Anonymous comment on 2010-04-10 15:45

Isn't this the same as eclipse-ecj in extra?